Package org.apache.commons.math3.linear

# Class NonSelfAdjointOperatorException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
org.apache.commons.math3.exception.MathIllegalArgumentException
org.apache.commons.math3.linear.NonSelfAdjointOperatorException

All Implemented Interfaces:
  `Serializable`, `ExceptionContextProvider`

public class NonSelfAdjointOperatorException extends MathIllegalArgumentException
Exception to be thrown when a self-adjoint `RealLinearOperator` is expected. Since the coefficients of the matrix are not accessible, the most general definition is used to check that A is not self-adjoint, i.e. there exist x and y such as `| x' A y - y' A x | >= eps`, where `eps` is a user-specified tolerance, and `x'` denotes the transpose of `x`. In the terminology of this exception, `A` is the "offending" linear operator, `x` and `y` are the first and second "offending" vectors, respectively.

Since:
  3.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NonSelfAdjointOperatorException()`
Creates a new instance of this class.

## Method Summary

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NonSelfAdjointOperatorException

public NonSelfAdjointOperatorException()
Creates a new instance of this class.